Bug 109702 - gcc v. 3.3.2-1 seg faults compiling XFree86 with -O2
Summary: gcc v. 3.3.2-1 seg faults compiling XFree86 with -O2
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
(Show other bugs)
Version: 1
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-11 02:39 UTC by Pete Snider
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 06:20:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
preprocessed compiler output file from reported seg fault. (95.47 KB, text/plain)
2003-11-11 02:42 UTC, Pete Snider
no flags Details

Description Pete Snider 2003-11-11 02:39:19 UTC
Description of problem:


Compiling XFree86 xc/lib/font/Speedo/module/spfile.o with -O2 option
causes compiler to seg. fault.  Of course, using -g option the file
compiles without a problem.  

Version-Release number of selected component (if applicable):
gcc-3.3.2-1

How reproducible:
Everytime

Steps to Reproduce:
1. download the latest XFree86 code from the cvs tree
2. execute 'make World'
When the make reaches the xc/lib/font directory, the compile coredumps
with various files including xc/lib/font/Speedo/module/spfile.c

  
Actual results:
Multiple source files in xc/lib/font directories causes gcc compiler
to seg. fault.

Expected results:
Compiler produce a valid object file....

Additional info:

Comment 1 Pete Snider 2003-11-11 02:42:39 UTC
Created attachment 95894 [details]
preprocessed compiler output file from reported seg fault.

Comment 2 Richard Henderson 2004-10-04 06:20:08 UTC
No ICE here with that compiler version.


Note You need to log in before you can comment on or make changes to this bug.